Reduced basis methods provide an efficient way of mapping out phase diagrams of strongly correlated many-body quantum systems. The method relies on using the exact solutions at select parameter values to construct a low-dimensional basis from which observables can be efficiently and reliably computed throughout the parameter space. Here, we show that this method can be generalized to driven-dissipative Markovian systems, allowing efficient calculations of observables in the transient and steady states. A subsequent distillation of the reduced basis vectors according to their explained variances allows for an unbiased exploration of the most pronounced parameter dependencies indicative of phase boundaries in the thermodynamic limit.
Reduced basis methods provide an efficient way of mapping out phase diagrams of strongly correlated many-body quantum systems. The method relies on using the exact solutions at select parameter values to construct a low-dimensional basis from which observables can be efficiently and reliably computed throughout the parameter space. Here, we show that this method can be generalized to driven-dissipative Markovian systems, allowing efficient calculations of observables in the transient and steady states. A subsequent distillation of the reduced basis vectors according to their explained variances allows for an unbiased exploration of the most pronounced parameter dependencies indicative of phase boundaries in the thermodynamic limit.
Within the reduced basis methods approach, an effective low-dimensional subspace of a quantum many-body Hilbert space is constructed in order to investigate, e.g., the ground-state phase diagram. The basis of this subspace is built from solutions of snapshots, i.e., ground states corresponding to particular and well-chosen parameter values. Here, we show how a greedy strategy to assemble the reduced basis and thus to select the parameter points can be implemented based on matrix-product-state calculations. Once the reduced basis has been obtained, observables required for the computation of phase diagrams can be computed with a computational complexity independent of the underlying Hilbert space for any parameter value. We illustrate the efficiency and accuracy of this approach for different one-dimensional quantum spin-1 models, including anisotropic as well as biquadratic exchange interactions, leading to rich quantum phase diagrams.
We consider reduced basis approximations of non-equilibrium steady states of parameter-dependent Lindbladians, whose ambient matrix space grows exponentially with system size. We give a unified structural view of the problem through its characterizations as an eigenvalue problem or as a trace-constrained source problem. Building on these characterizations, we propose a residual-driven reduced basis framework for both formulations. Under the assumption of a unique steady state, we derive residual-based state-error estimates, and establish (sub-)exponential convergence of the greedy algorithms under real-analytic parameter dependence of the problem data. Numerical experiments on boundary-driven Fermi--Hubbard and dissipative XYZ chains support the analysis and suggest that the trace-constrained greedy method offers the best overall balance of accuracy and computational cost.
We consider finite-dimensional many-body quantum systems described by time-independent Hamiltonians and Markovian master equations, and present a systematic method for constructing smaller-dimensional, reduced models that e x a c t l y reproduce the time evolution of a set of initial conditions or observables of interest. Our approach exploits Krylov operator spaces and their extension to operator algebras, and may be used to obtain reduced linear models of minimal dimension, well-suited for simulation on classical computers, or reduced quantum models that preserve the structural constraints of physically admissible quantum dynamics, as required for simulation on quantum computers. Notably, we prove that the reduced quantum-dynamical generator is still in Lindblad form. By introducing a new type of observable-dependent symmetries , we show that our method provides a non-trivial generalization of techniques that leverage symmetries, unlocking new reduction opportunities. We quantitatively benchmark our method on paradigmatic open many-body systems of relevance to condensed-matter and quantum-information physics. In particular, we demonstrate how our reduced models can quantitatively describe decoherence dynamics in central-spin systems coupled to structured environments, magnetization transport in boundary-driven dissipative spin chains, and unwanted error dynamics on information encoded in a noiseless quantum code.
In recent years, reduced-basis methods (RBMs) have been adapted to the many-body eigenvalue problem and they have been used, largely in nuclear physics, as fast emulators able to bypass expensive direct computations while still providing highly accurate results. This work is meant to show that the RBM is an efficient and accurate emulator for the strong correlations induced by the pairing interaction in a variety of finite systems like ultrasmall superconducting grains, interacting topological superfluids, and mesoscopic hybrid superconductor-semiconductor devices, all of which require an expensive, beyond-mean-field, particle-number conserving description. These systems are modeled by the number-conserving Richardson pairing Hamiltonian and its appropriate generalizations. Their ground state is solved for exactly using the density matrix renormalization group. The reduced basis is assembled iteratively from a small number of exact ground-state vectors, well-chosen from across the relevant parameter space using a fast estimate of the emulation error and a greedy local optimization algorithm. The RBM emulation is found to accurately describe the weak-to-strong pairing crossover in small grains, the third-order topological phase transition of the interacting Richardson-Kitaev chain, and the complex charge stability diagram of a hybrid quantum dot--superconductor device. For all considered systems the emulation error decreases exponentially with the reduced-basis dimensionality. The number of basis vectors necessary to reach a fixed emulation accuracy only shows a modest linear growth with increasing system size. RBMs are confirmed to be cheap and accurate emulators for the widely encountered superconducting phenomena. Capable of providing orders of magnitude computational speedup with respect to approaches based only on traditional many-body solvers, they open new possibilities in building and solving models of interacting many-body systems and in better interfacing them with experimental design and data analysis.
We develop an exact analytical framework for studying the nonequilibrium dynamics of interacting quantum harmonic oscillators coupled to a modelled thermal reservoir and driven by external classical fields. The total Hamiltonian is diagonalized via successive Bogoliubov transformations, enabling a nonperturbative treatment of dissipation and driving. For two coupled oscillators with an external source applied to the first, we derive explicit energy expressions and analyze their dependence on coupling and bath parameters. The phase-space structure is characterized through Husimi Q-functions for initial separable coherent and number states. We obtain the reduced density matrix elements in the number-state basis and demonstrate that, in the absence of driving and at zero temperature, the reduced density matrix of the main system satisfies the Lindblad master equation. A generating function for the Husimi function is introduced to facilitate computation of higher-order correlations. The analysis is then generalized to n interacting oscillators, with analytical energy expressions provided and the case n=3 examined in detail. Our results establish a versatile and exact framework for driven-dissipative quantum systems, with potential applications in quantum thermodynamics, open quantum systems, and many-body physics.
Understanding the dynamics of dissipative quantum systems, particularly beyond the weak coupling approximation, is central to various quantum applications. While numerically exact methods provide accurate solutions, they often lack the analytical insight provided by theoretical approaches. In this study, we employ the recently developed method dubbed the effective Hamiltonian theory to understand the dynamics of system-bath configurations without resorting to a perturbative description of the system-bath coupling energy. Through a combination of mapping steps and truncation, the effective Hamiltonian theory offers both analytical insights into signatures of strong couplings in open quantum systems and a straightforward path for numerical simulations. To validate the accuracy of the method, we apply it to two canonical models: a single spin immersed in a bosonic bath and two noninteracting spins in a common bath. In both cases, we study the transient regime and the steady state limit at nonzero temperature and spanning system-bath interactions from the weak to the strong regime. By comparing the results of the effective Hamiltonian theory with numerically exact simulations, we show that although the former overlooks non-Markovian features in the transient equilibration dynamics, it correctly captures non-perturbative bath-generated couplings between otherwise non-interacting spins, as observed in their synchronization dynamics and correlations. Altogether, the effective Hamiltonian theory offers a powerful approach for understanding strong coupling dynamics and thermodynamics, capturing the signatures of such interactions in both relaxation dynamics and in the steady state limit.